---
updatedAt: 2026-05-28T08:16:45.000Z
agentTools:
  projectIndex: https://docs.scalr.io/llms.txt
---

# List Tags

This endpoint returns a list of tags.


# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "Tag": {
        "description": "Tag is a keyword or term associated with a Scalr resource.\nIt is used to label resources across the account to help to identify them, improve searchability\nor can even participate in a terraform run e.g. as a part of metadata for policy decision.\n\nTags are unique within the account. Deleted tags will be removed from associated resources.\n\nThe extra fields below are not available in response by default. Ask for them explicitly in the query parameter `fields[tags]`:\n* in-use",
        "properties": {
          "attributes": {
            "properties": {
              "in-use": {
                "description": "Whether the tag is used by any resource.",
                "nullable": true,
                "readOnly": true,
                "type": "boolean"
              },
              "name": {
                "description": "The name of the tag. It must be unique within the account.",
                "maxLength": 255,
                "type": "string"
              }
            },
            "required": [
              "name"
            ],
            "type": "object"
          },
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "links": {
            "properties": {
              "self": {
                "readOnly": true,
                "type": "string"
              }
            },
            "readOnly": true,
            "type": "object"
          },
          "relationships": {
            "properties": {
              "account": {
                "description": "The account this tag belongs to.",
                "properties": {
                  "data": {
                    "nullable": true,
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "type": {
                        "enum": [
                          "accounts",
                          ""
                        ],
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "id"
                    ],
                    "type": "object"
                  }
                },
                "readOnly": true,
                "required": [
                  "data"
                ],
                "type": "object"
              }
            },
            "type": "object"
          },
          "type": {
            "enum": [
              "tags"
            ],
            "type": "string"
          }
        },
        "required": [
          "type",
          "attributes"
        ],
        "type": "object"
      },
      "TagListingDocument": {
        "description": "JSON:API Document Listing\n\nsee: https://jsonapi.org/format/#document-structure",
        "properties": {
          "data": {
            "items": {
              "$ref": "#/components/schemas/Tag"
            },
            "type": "array"
          },
          "included": {
            "items": {
              "type": "object"
            },
            "readOnly": true,
            "type": "array"
          },
          "links": {
            "additionalProperties": {
              "type": "string"
            },
            "readOnly": true,
            "type": "object"
          },
          "meta": {
            "readOnly": true,
            "type": "object"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "API-Key": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Scalr IACP API",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "title": "Scalr IACP API",
    "version": "unversioned"
  },
  "openapi": "3.0.0",
  "paths": {
    "/tags": {
      "get": {
        "description": "This endpoint returns a list of tags.\n",
        "operationId": "list_tags",
        "parameters": [
          {
            "description": "Page number",
            "in": "query",
            "name": "page[number]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Page size",
            "in": "query",
            "name": "page[size]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The resource type filter",
            "in": "query",
            "name": "filter[resource-type]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The tag name filter",
            "in": "query",
            "name": "filter[name]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The ID(s) of tag(s).",
            "in": "query",
            "name": "filter[tag]",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The comma-separated list of attributes.",
            "explode": false,
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "items": {
                "enum": [
                  "name"
                ],
                "type": "string"
              },
              "type": "array"
            }
          },
          {
            "description": "Query string",
            "in": "query",
            "name": "query",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The value of the fields[resource-type] parameter is a comma-separated list that refers to the name of the fields to be returned for the resource. An empty value indicates that no fields should be returned.",
            "explode": true,
            "in": "query",
            "name": "fields",
            "required": false,
            "schema": {
              "properties": {
                "tags": {
                  "description": "The comma-separated list of fields to return in response for Tag resource.",
                  "type": "string"
                }
              },
              "type": "object"
            },
            "style": "deepObject"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/vnd.api+json": {
                "examples": {
                  "default": {
                    "value": "{\n  \"data\": [\n    {\n      \"attributes\": {\n        \"name\": \"staging\"\n      },\n      \"id\": \"tag-u353opfakkha55g\",\n      \"links\": {\n        \"self\": \"https://my.scalr.io/api/iacp/v3/tags/tag-u353opfakkha55g\"\n      },\n      \"relationships\": {\n        \"account\": {\n          \"data\": {\n            \"id\": \"acc-svrcncgh453bi8g\",\n            \"type\": \"accounts\"\n          }\n        }\n      },\n      \"type\": \"tags\"\n    },\n    {\n      \"attributes\": {\n        \"name\": \"produciton\"\n      },\n      \"id\": \"tag-u353pbn2l72g6og\",\n      \"links\": {\n        \"self\": \"https://my.scalr.io/api/iacp/v3/tags/tag-u353pbn2l72g6og\"\n      },\n      \"relationships\": {\n        \"account\": {\n          \"data\": {\n            \"id\": \"acc-svrcncgh453bi8g\",\n            \"type\": \"accounts\"\n          }\n        }\n      },\n      \"type\": \"tags\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/TagListingDocument"
                }
              }
            },
            "description": "Success."
          },
          "403": {
            "description": "User unauthorized to perform this action."
          },
          "4XX": {
            "description": "Client error."
          },
          "5XX": {
            "description": "Server error."
          }
        },
        "summary": "List Tags",
        "tags": [
          "tags"
        ],
        "x-resource": "Tag",
        "x-service": "tf-api"
      }
    }
  },
  "security": [
    {
      "API-Key": []
    }
  ],
  "servers": [
    {
      "url": "https://{Domain}/api/iacp/v3",
      "variables": {
        "Domain": {
          "default": "example.scalr.io",
          "description": "Domain where Scalr is hosted"
        }
      }
    }
  ]
}
```

# Sibling pages

* [Create a Tag](https://docs.scalr.io/scalr/reference/create_tag.md)
* [Delete a Tag](https://docs.scalr.io/scalr/reference/delete_tag.md)
* [Get a Tag](https://docs.scalr.io/scalr/reference/get_tag.md)
* [Update a Tag](https://docs.scalr.io/scalr/reference/update_tag.md)